# PlayerVelocityEvent (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.player, class: PlayerVelocityEvent

Package org.bukkit.event.player

# Class PlayerVelocityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerVelocityEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerVelocityEvent extends PlayerEvent implements Cancellable
Called when the velocity of a player changes.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerVelocityEvent(@NotNull Player player, @NotNull Vector velocity)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Vector`
`getVelocity()`
Gets the velocity vector that will be sent to the player
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setVelocity(@NotNull Vector velocity)`
Sets the velocity vector in meters per tick that will be sent to the player

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerVelocityEvent

public PlayerVelocityEvent(@NotNull @NotNull Player player, @NotNull @NotNull Vector velocity)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getVelocity

@NotNull public @NotNull Vector getVelocity()
Gets the velocity vector that will be sent to the player

Returns:
  Vector the player will get

### setVelocity

public void setVelocity(@NotNull @NotNull Vector velocity)
Sets the velocity vector in meters per tick that will be sent to the player

Parameters:
  `velocity` - The velocity vector that will be sent to the player

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()